Subject: [v6ops] Comments on draft-ali-ipv6rtr-reqs

From: Ron Bonica <[email-masked]>
Date: Thu, 16 Feb 2017 21:08:35 +0000

Folks,

The following are a few comments on draft-ali-ipv6rtr-reqs

1) Should Section 3.4 reference RFC 6192?

2) Also in Section 3.4, should we say that the router, unless explicitly configured to do so, MUST not accept IPv6 fragments addressed to itself.

3) In Section 4.1, should SNMP be included in the list? Or can we see the day when SNMP will become obsolete?

4) In Section 5.2, you say that link-local addressing should be configurable. Do you mean that the user should be able to specify the link-local address? Or do you mean that the user should be able to suppress link-local addressing? I think the former, but you should be specific.
 
5) In Section 5.3, you mention Jumbo Frames in the section header, but not in the text. Maybe we should remove Jumbo Frames from the section altogether

6) You might want to add this text (from RFC 2460-bis) to Section 5.6

   While [RFC2460] required that all nodes must examine and
   process the Hop-by-Hop Options header, it is now expected that nodes
   along a packet's delivery path only examine and process

7) The addition above has implications for Jumbo Frames. (By default, Jumbo's will be dropped.) I wonder if we should mention this.

                           Ron
                            \ hatless

---

From: Joe Touch <[email-masked]>
Date: Thu, 16 Feb 2017 13:17:56 -0800

On 2/16/2017 1:08 PM, Ron Bonica wrote:
> ...
This doc ought to start with "all routers MUST follow host requirements
[RFC1122][RCFC2460] when sourcing or sinking IP datagrams".

Which would then require that a router MUST accept IPv6 fragments as a
consequence of the IPv6 link MTU (1280B) being smaller than the EMTU_R
(1500B).

FWIW, I wish the rest of this doc took its lead from RFC1812 and
addressed those functional issues first. As it stands, it doesn't even
cite 1812.

Joe

---

From: Fred Baker <[email-masked]>
Date: Thu, 16 Feb 2017 13:52:45 -0800

> On Feb 16, 2017, at 1:17 PM, Joe Touch <[email-masked]> wrote:
> 
> As it stands, it doesn't even cite 1812.

"Requirements for IP Version 4 Routers". Why should it?

I could see the document observing that IPv4 had such a document, but frankly it was "accumulated wisdom from past deployments" rather than "specifications for future deployments", kind of like the way RFCs 1122/1123 set out to clean up a lot of little messes around RFC 791 and friends. Something that was true of 1716/1812 was a sea change in the deployment of CIDR, and the implications of it, which 1812 tried to document. I'm not sure I see that happening here.

---

From: Joe Touch <[email-masked]>
Date: Thu, 16 Feb 2017 13:57:13 -0800

HI, Fred,

> "Requirements for IP Version 4 Routers". Why should it?

Because, AFAICT, there's a lot of experience there that applies to IPv6.

> I could see the document observing that IPv4 had such a document, but frankly it was "accumulated wisdom from past deployments" rather than "specifications for future deployments", kind of like the way RFCs 1122/1123 set out to clean up a lot of little messes around RFC 791 and friends. 
Yes, but lots of RFC2460 didn't address issues from RFC1122. AFAICT,
IPv6 hosts still need to follow RFC1122 translated it through IPv6 glasses.

> Something that was true of 1716/1812 was a sea change in the deployment of CIDR, and the implications of it, which 1812 tried to document. I'm not sure I see that happening here.
Agreed, but I was hoping that this doc would serve the same purpose for
IPv6 routers that 1812 served for IPv4. A good start would be to explain
how IPv6 router requirements differ from IPv4.

Joe

---

From: [email-masked]
Date: Thu, 16 Feb 2017 23:15:37 +0100

> IPv6 hosts still need to follow RFC1122 translated it through IPv6 glasses.

I would imagine following that as a general advice would leave most people trying to understand IPv6, very very confused...

> how IPv6 router requirements differ from IPv4.

Best regards,
Ole

---

From: Joe Touch <[email-masked]>
Date: Thu, 16 Feb 2017 14:36:13 -0800

> I would imagine following that as a general advice would leave most people trying to understand IPv6, very very confused...
Which is why it would be very useful to have both this doc and an
updated RFC1122, but neither one should begin in a vacuum as if these
precursors at IPv4 aren't relevant.

Joe